<link rel="import" href="/bower_components/polymer/polymer-element.html">
<link rel="import" href="../l1page-theme/l1page-theme.html">

<link rel="import" href="../toast-manager/toast-manager.html">

<!--
`<process-controller>` is not documented properly yet
-->
<dom-module id="process-controller">
  <template>
    <link rel="stylesheet" href="process-controller.css?__inline=true">
    <style include="l1page-theme"></style>

    <header>
      <h1>Process Controller</h1>
      <div>
        <paper-button raised secondary disabled=[[loading]] on-click=requestStatus>status</paper-button>
        <paper-button raised error disabled=[[loading]] on-click=requestStart>start</paper-button>
        <paper-button raised error disabled=[[loading]] on-click=requestStop>stop</paper-button>
        <paper-button raised error disabled=[[loading]] on-click=requestRestart>restart</paper-button>
      </div>
    </header>
    <div subsystems id=subsystems>
      <img src=/images/hourglass_color.gif alt=loading... hide$=[[!busy]]>
      <pre id=resultbox></pre>
      <div quick actions>
        <paper-button on-click=_selectAll>select all</paper-button>
        <paper-button on-click=_selectNone>select none</paper-button>
      </div>
      <dom-repeat items=[[_getSubsystems(subsystemData)]] as=subsystem filter=_filterSubsystems on-dom-change=_notifyResize>
        <template>
          <paper-checkbox disabled=[[loading]]>[[subsystem.name]]</paper-checkbox>
        </template>
      </dom-repeat>
    </div>

    <slot></slot>
  </template>
</dom-module>

<script src="process-controller.js?__inline=true"></script>
